"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDeployStrategy = void 0;
const containerDeploy_1 = require("./containerDeploy");
const auraDeploy_1 = require("./auraDeploy");
const lwcDeploy_1 = require("./lwcDeploy");
const registry_1 = require("../../registry");
var containerDeploy_2 = require("./containerDeploy");
Object.defineProperty(exports, "ContainerDeploy", { enumerable: true, get: function () { return containerDeploy_2.ContainerDeploy; } });
var auraDeploy_2 = require("./auraDeploy");
Object.defineProperty(exports, "AuraDeploy", { enumerable: true, get: function () { return auraDeploy_2.AuraDeploy; } });
var lwcDeploy_2 = require("./lwcDeploy");
Object.defineProperty(exports, "LwcDeploy", { enumerable: true, get: function () { return lwcDeploy_2.LwcDeploy; } });
exports.getDeployStrategy = (type, connection) => {
    switch (type) {
        case registry_1.registry.types.auradefinitionbundle.name:
            return new auraDeploy_1.AuraDeploy(connection);
        case registry_1.registry.types.lightningcomponentbundle.name:
            return new lwcDeploy_1.LwcDeploy(connection);
        default:
            return new containerDeploy_1.ContainerDeploy(connection);
    }
};
//# sourceMappingURL=index.js.map