import { BaseMetadataTransformer } from './baseMetadataTransformer';
import { WriteInfo } from '../types';
import { SourceComponent } from '../../resolve';
/**
 * The default metadata transformer.
 *
 * If a metadata type doesn't have a transformer assigned to it, this one is used
 * during the conversion process. It leaves the component's metadata xml and source
 * files as-is.
 */
export declare class DefaultMetadataTransformer extends BaseMetadataTransformer {
    toMetadataFormat(component: SourceComponent): Promise<WriteInfo[]>;
    toSourceFormat(component: SourceComponent, mergeWith?: SourceComponent): Promise<WriteInfo[]>;
    private getWriteInfos;
    private getContentSourceDestination;
    private getXmlDestination;
}
